commit:     a5b37fdb93fb390f04ce802666a1f60cfb3442bb
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 27 04:46:51 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Apr 28 04:53:00 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a5b37fdb

dev-ruby/abstract: add ruby30

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/abstract/abstract-1.0.0-r4.ebuild | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/dev-ruby/abstract/abstract-1.0.0-r4.ebuild 
b/dev-ruby/abstract/abstract-1.0.0-r4.ebuild
new file mode 100644
index 00000000000..06ce972ed64
--- /dev/null
+++ b/dev-ruby/abstract/abstract-1.0.0-r4.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_TASK_TEST=""
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="README.txt"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Library which enable you to define abstract method in Ruby"
+HOMEPAGE="https://rubygems.org/gems/abstract";
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris 
~x86-solaris"
+IUSE="test"
+
+each_ruby_test() {
+       ${RUBY} -Ilib test/test.rb || die "tests failed"
+}

Reply via email to